%define major        8.0
%define libname      %mklibname %{name} %{major}
%define libname_r    %mklibname %{name}_r %{major}
%define libname_cpp  %mklibname %{name}cpp %{major}
%define libnamedev   %mklibname %{name} -d

Name:           qhull
Version:        2020.2
Release:        %mkrel 7
Summary:        Compute convex hulls
License:        GPLv2
Group:          System/Libraries
URL:            http://www.qhull.org/
Source0:        http://www.qhull.org/download/%{name}-2020-src-8.0.2.tgz
Patch1:         0001-fix-pkgconfig-files.patch
## From debian
Patch4:         0004-Build-qhullcpp-as-shared-library.patch
Patch5:         0005-Fix-CMake-target-export.patch
Patch6:         0006-Build-deprecated-libqhull-for-now.patch
#
Patch7:         qhull-cmake-4.0.patch
BuildRequires:  cmake
BuildRequires:  chrpath

%description
Qhull computes convex hulls, Delaunay triangulations, halfspace
intersections about a point, Voronoi diagrams, furthest-site Delaunay
triangulations, and furthest-site Voronoi diagrams. It runs in 2-d, 3-d,
4-d, and higher dimensions. It implements the Quickhull algorithm for
computing the convex hull. Qhull handles roundoff errors from floating
point arithmetic. It can approximate a convex hull.

%package -n %{libname}
Summary:        Shared libraries for %{name}
Group:          System/Libraries
Obsoletes:      %{_lib}qhull8 < 2020.1-2

%description -n %{libname}
Qhull computes convex hulls, Delaunay triangulations, Voronoi diagrams,
furthest-site Voronoi diagrams, and halfspace intersections about a point.
It runs in 2-d, 3-d, 4-d, or higher.  It implements the Quickhull algorithm
for computing convex hulls.  Qhull handles round-off errors from floating
point arithmetic.  It can approximate a convex hull.

The program includes options for hull volume, facet area, partial hulls,
input transformations, randomization, tracing, multiple output formats, and
execution statistics.

This package provide shared libraries for %{name}.

%package -n %{libname_r}
Summary:        Shared libraries for %{name}
Group:          System/Libraries

%description -n %{libname_r}
Qhull computes convex hulls, Delaunay triangulations, Voronoi diagrams,
furthest-site Voronoi diagrams, and halfspace intersections about a point.
It runs in 2-d, 3-d, 4-d, or higher.  It implements the Quickhull algorithm
for computing convex hulls.  Qhull handles round-off errors from floating
point arithmetic.  It can approximate a convex hull.

The program includes options for hull volume, facet area, partial hulls,
input transformations, randomization, tracing, multiple output formats, and
execution statistics.

This package provide shared libraries for %{name}.

%package -n %{libname_cpp}
Summary:        Shared libraries for %{name}
Group:          System/Libraries

%description -n %{libname_cpp}
Qhull computes convex hulls, Delaunay triangulations, Voronoi diagrams,
furthest-site Voronoi diagrams, and halfspace intersections about a point.
It runs in 2-d, 3-d, 4-d, or higher.  It implements the Quickhull algorithm
for computing convex hulls.  Qhull handles round-off errors from floating
point arithmetic.  It can approximate a convex hull.

The program includes options for hull volume, facet area, partial hulls,
input transformations, randomization, tracing, multiple output formats, and
execution statistics.

This package provide shared libraries for %{name}.

%package -n %{libnamedev}
Summary:        Header files and libraries for development with %{name}
Group:          Development/C
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libname_r} = %{version}-%{release}
Requires:       %{libname_cpp} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{_lib}%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Header files and libraries for development with %{name}.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

# discard rpath
chrpath --delete %{buildroot}%{_libdir}/libqhull*.so.*

%files
%doc Announce.txt COPYING.txt README.txt REGISTER.txt html/*
%{_bindir}/qconvex
%{_bindir}/qdelaunay
%{_bindir}/qhalf
%{_bindir}/qhull
%{_bindir}/qvoronoi
%{_bindir}/rbox
%{_mandir}/man1/qhull.1*
%{_mandir}/man1/rbox.1*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{libname_r}
%{_libdir}/lib%{name}_r.so.%{major}{,.*}

%files -n %{libname_cpp}
%{_libdir}/lib%{name}cpp.so.%{major}{,.*}

%files -n %{libnamedev}
%{_docdir}/qhull/
%{_libdir}/*.so
%{_libdir}/cmake/Qhull/
%{_libdir}/pkgconfig/qhull*.pc
%{_includedir}/*


%changelog
* Wed Jul 02 2025 aurr <aurr> 2020.2-7.mga10
+ Revision: 2238774
- fix build with cmake-4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Wed Nov 02 2022 ghibo <ghibo> 2020.2-6.mga9
+ Revision: 1901712
- Fix rpath for building.
- Cleanup files list.
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Nov 18 2020 daviddavid <daviddavid> 2020.2-4.mga8
+ Revision: 1647133
- compile with new cmake macros

* Wed Nov 18 2020 daviddavid <daviddavid> 2020.2-3.mga8
+ Revision: 1647119
- add debian patch to build qhullcpp as shared library
- add debian patch to build deprecated libqhull for now (needed for octave)
- fix libraries and headers path in pkgconfig files

* Wed Nov 18 2020 daviddavid <daviddavid> 2020.2-2.mga8
+ Revision: 1647068
- devel sub-pkg require the main pkg

* Wed Nov 18 2020 daviddavid <daviddavid> 2020.2-1.mga8
+ Revision: 1647055
- new version: 2020.2 (real 8.0.2)

* Sun Jun 21 2020 wally <wally> 2020.1-2.mga8
+ Revision: 1598225
- fix lib pkg name
- drop unneeded epoch usage

* Sat Jun 13 2020 shlomif <shlomif> 0:2020.1-1.mga8
+ Revision: 1593200
- New version 2020.1

* Sun Feb 23 2020 daviddavid <daviddavid> 0:2019.1-2.mga8
+ Revision: 1549527
- new version: 2019.1

* Sun Feb 23 2020 daviddavid <daviddavid> 0:2015.2-3.mga8
+ Revision: 1549521
- use new cmake macros
- disable static libraries
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0:2015.2-2.mga7
+ Revision: 1300651
- Mageia 7 Mass Rebuild

* Thu Mar 10 2016 shlomif <shlomif> 0:2015.2-1.mga6
+ Revision: 988793
- New version 2015.2

* Tue Feb 16 2016 umeabot <umeabot> 0:2012.1-7.mga6
+ Revision: 962481
- Mageia 6 Mass Rebuild

* Wed Oct 28 2015 daviddavid <daviddavid> 0:2012.1-6.mga6
+ Revision: 895946
- update doc file list to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 0:2012.1-5.mga5
+ Revision: 747284
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:2012.1-4.mga5
+ Revision: 688483
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0:2012.1-3.mga4
+ Revision: 517840
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0:2012.1-2.mga3
+ Revision: 379831
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 22 2012 grenoya <grenoya> 0:2012.1-1.mga3
+ Revision: 296658
- fix files (again)
- fix files
- new version 2012.1

* Mon Jun 13 2011 nanardon <nanardon> 0:2009.1-4.mga2
+ Revision: 105663
- fix wrong and missing obsoletes introduced by last cleanup

* Mon Jun 13 2011 ze <ze> 0:2009.1-3.mga2
+ Revision: 105598
- user native rpm macros
- remove %%major from devel name accordlingly with package policy
- clean post/postun scriptlets since its handled by default

* Mon Apr 18 2011 grenoya <grenoya> 0:2009.1-2.mga1
+ Revision: 87695
- fix major

* Sun Apr 17 2011 grenoya <grenoya> 0:2009.1-1.mga1
+ Revision: 86979
- correct spec
- update sources to 2009.1
- update patch

* Tue Apr 12 2011 grenoya <grenoya> 0:2003.1-5.mga1
+ Revision: 83727
- fix compilation
- imported package qhull


* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2003.1-5mdv2008.0
+ Revision: 36194
- rebuild with correct optflags

* Tue Jun 05 2007 David Walluck <walluck@mandriva.org> 0:2003.1-4mdv2008.0
+ Revision: 35740
- add bins and manpages to their own package
- add static-devel paackage
- devel package now provides %%{name}-devel
- Import qhull



* Sat Nov 26 2005 Thierry Vignaud <tvignaud@mandriva.com> 2003.1-3mdk
- fix description (#16369)

* Wed Nov 02 2005 David Walluck <walluck@linux-mandrake.com> 0:2003.1-2mdk
- fix build
- update URL
- fix %%doc

* Fri Feb 13 2004 David Walluck <walluck@linux-mandrake.com> 0:2003.1-1mdk
- 2003.1
- add epoch to %%{libname} provides

* Thu Oct 02 2003 David Walluck <walluck@linux-mandrake.com> 0:2002.1-1mdk
- release
